com.android.agf.fragments

## Class ComponentFragment.MyLoadingData

- java.lang.Object
- - android.os.AsyncTask<String,Void,ArrayList<Component>>
  - - com.android.agf.asynctask.LoadingComponents
    - - com.android.agf.fragments.ComponentFragment.MyLoadingData

- Enclosing class:
    ComponentFragment

       class ComponentFragment.MyLoadingData
      extends LoadingComponents

  classe local que implementa l'asynctask de carrega de components
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class com.android.agf.asynctask.LoadingComponents

      `mCds`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentFragment.MyLoadingData(String user, Context ctx)` constructor, creació dialeg de progres

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onPostExecute(ArrayList<Component> llistat)` creació del adapter que nodrira el listview d'elements ie el seu comportament
    `protected void` | `onPreExecute()` inicialització del dialeg de progres

    - ### Methods inherited from class com.android.agf.asynctask.LoadingComponents

      `doInBackground`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentFragment.MyLoadingData

          public ComponentFragment.MyLoadingData(String user,
                                         Context ctx)

      constructor, creació dialeg de progres
      Parameters:
        `user` -
        `ctx` -

  - ### Method Detail

    - #### onPreExecute

          protected void onPreExecute()

      inicialització del dialeg de progres
      Overrides:
        `onPreExecute` in class `AsyncTask<String,Void,ArrayList<Component>>`

    - #### onPostExecute

          protected void onPostExecute(ArrayList<Component> llistat)

      creació del adapter que nodrira el listview d'elements ie el seu comportament
      Overrides:
        `onPostExecute` in class `AsyncTask<String,Void,ArrayList<Component>>`